LogOnControllerLogOn Method |
POST /LogOn/
Logs the user on using standard log on options.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (9.0.0.1000)
Syntax[HttpPostAttribute]
[ActionNameAttribute("Index")]
public HttpResponseMessage LogOn(
[FromBodyAttribute] LogOnOptions options
)<HttpPostAttribute>
<ActionNameAttribute("Index")>
Public Function LogOn (
<FromBodyAttribute> options As LogOnOptions
) As HttpResponseMessagepublic:
[HttpPostAttribute]
[ActionNameAttribute(L"Index")]
HttpResponseMessage^ LogOn(
[FromBodyAttribute] LogOnOptions^ options
)
[<HttpPostAttribute>]
[<ActionNameAttribute("Index")>]
member LogOn :
[<FromBodyAttribute>] options : LogOnOptions -> HttpResponseMessage
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsLogOnOptions
The options for log on (credentials, token, name/password, windows log on).
Return Value
Type:
HttpResponseMessageA
LogOnResultData object, or a status code indicating the problem.
See Also